<template>
	<div class="report-bottom">
		<div><i class="iconfont icon-ic_notifications_active" style="font-size: 14px; padding-right: 5px;" />您还可以查看其他报表：
		</div>
		<template v-for="item in linkList">
			<div class="report-bottom-link" @click="goto(item.winName)" v-if="userFunids.indexOf(item.funcid) > -1">
				{{item.name}}</div>
		</template>
	</div>
</template>

<script>
	export default {
		name: 'LjReportBottomLink',
		props: {
			linkList: {
				type: Array,
				default: function () {
					return []
				}
			},
			beforeDate: {
				type: String,
				default: ""
			},
			afterDate: {
				type: String,
				default: ""
			},
		},
		data() {
			return {
				userFunids: [],
			}
		},
		created() {
			this.userFunids = $lj.getStorage('user').rsltFunids;
		},
		methods: {
			goto(winName) {
				if (winName) {
					var mainObject = {};
					if (this.beforeDate === "" && this.afterDate === "") {
						mainObject = {
							openType: 0,
						}
					} else {
						mainObject = {
							openType: 1,
							beginDate: this.beforeDate,
							afterDate: this.afterDate
						}
					}

					$lj.openWin(winName, {
						mainObject: mainObject
					}, false, true);
				} else {
					alert("未定义窗口");
				}
			}
		}
	}
</script>

<style>
	.report-bottom {
		background-color: rgb(246, 246, 246);
		padding: 10px 15px;
		margin: 20px 10px 0 10px;
		font-size: 14px;
		border-radius: 15px;
		color: #666
	}

	.report-bottom div {
		padding: 4px 0 4px 0
	}

	.report-bottom-link {
		color: #6495ed;
		margin-left: 18px;
	}
</style>